Bug 1432463 - Web UI inaccessible after changing number of UI Workers
Summary: Web UI inaccessible after changing number of UI Workers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.2
Assignee: Joe Rafaniello
QA Contact: Alex Newman
URL:
Whiteboard: worker
Depends On: 1422988
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-15 12:38 UTC by Satoe Imaishi
Modified: 2020-08-13 08:57 UTC (History)
6 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1422988
Environment:
Last Closed: 2017-04-12 14:35:19 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-03-15 20:11:11 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/f91838277dab716effa5a4fe8c46571076c7474f

commit f91838277dab716effa5a4fe8c46571076c7474f
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Mar 14 09:23:01 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Mar 15 16:10:01 2017 -0400

    Merge pull request #14311 from jrafanie/add_balancer_members_after_all_configs_written
    
    Add balancer members after configs have been written
    (cherry picked from commit 5b167ab4748c17ff5c937bb2eba1aaa37fdba8c7)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1432463

 app/models/miq_server/environment_management.rb  | 9 +++++++++
 app/models/mixins/miq_web_server_worker_mixin.rb | 1 -
 2 files changed, 9 insertions(+), 1 deletion(-)

Comment 3 CFME Bot 2017-03-15 20:11:16 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/44c8abf7d0e22f167b2b61976f34f6d8d39eec7a

commit 44c8abf7d0e22f167b2b61976f34f6d8d39eec7a
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Fri Mar 10 17:11:25 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Mar 15 16:08:45 2017 -0400

    Merge pull request #14007 from jrafanie/set_apache_balancer_once_at_startup
    
    Configure apache balancer with up to 10 members at startup
    (cherry picked from commit 8518e63699d4f7223d16a5461315270e0143abdf)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1432463

 app/models/miq_server/environment_management.rb  |  2 +-
 app/models/mixins/miq_web_server_worker_mixin.rb | 53 +++++++-----------------
 spec/models/miq_ui_worker_spec.rb                | 21 ++++++++++
 3 files changed, 36 insertions(+), 40 deletions(-)

Comment 4 Satoe Imaishi 2017-03-17 18:33:05 UTC
Another related fix: https://github.com/ManageIQ/manageiq-gems-pending/pull/92

Comment 6 errata-xmlrpc 2017-04-12 14:35:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.